VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
vmware::vapi::metadata::metamodel::ConstantValue Class Reference

The `ConstantValue` class contains the metamodel information of the constant element. More...

List of all members.

## Classes
class | Category
| The `ConstantValue.Category` enumerated type defines enumeration values for the valid kinds of values. More...
## Public Member Functions
| ConstantValue ()
| Creates a default new instance.
vmware.vapi.metadata.metamodel.ConstantValue.Category | GetCategory ()
| Category of the type of constant value.
void | SetCategory (vmware.vapi.metadata.metamodel.ConstantValue.Category category)
| Category of the type of constant value.
vmware.vapi.metadata.metamodel.PrimitiveValue | GetPrimitiveValue ()
| Primitive value of the constant element.
void | SetPrimitiveValue (vmware.vapi.metadata.metamodel.PrimitiveValue primitiveValue)
| Primitive value of the constant element.
global::System.Collections.Generic.List < vmware.vapi.metadata.metamodel.PrimitiveValue > | GetListValue ()
| List value of the constant element.
void | SetListValue (global::System.Collections.Generic.List< vmware.vapi.metadata.metamodel.PrimitiveValue > listValue)
| List value of the constant element.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `ConstantValue` class contains the metamodel information of the constant element.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::ConstantValue::ConstantValue | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::metamodel::ConstantValue::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::metamodel::ConstantValue::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::metamodel::ConstantValue::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::metamodel::ConstantValue::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::metamodel::ConstantValue::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::metamodel::ConstantValue::Equals | ( | object | obj | ) | `[inline]`

vmware.vapi.metadata.metamodel.ConstantValue.Category vmware::vapi::metadata::metamodel::ConstantValue::GetCategory | ( |  | ) | `[inline]`

Category of the type of constant value.

override int vmware::vapi::metadata::metamodel::ConstantValue::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.List<vmware.vapi.metadata.metamodel.PrimitiveValue> vmware::vapi::metadata::metamodel::ConstantValue::GetListValue | ( |  | ) | `[inline]`

List value of the constant element.

vmware.vapi.metadata.metamodel.PrimitiveValue vmware::vapi::metadata::metamodel::ConstantValue::GetPrimitiveValue | ( |  | ) | `[inline]`

Primitive value of the constant element.

void vmware::vapi::metadata::metamodel::ConstantValue::SetCategory | ( | vmware.vapi.metadata.metamodel.ConstantValue.Category | category | ) | `[inline]`

Category of the type of constant value.

void vmware::vapi::metadata::metamodel::ConstantValue::SetListValue | ( | global::System.Collections.Generic.List< vmware.vapi.metadata.metamodel.PrimitiveValue > | listValue | ) | `[inline]`

List value of the constant element.

void vmware::vapi::metadata::metamodel::ConstantValue::SetPrimitiveValue | ( | vmware.vapi.metadata.metamodel.PrimitiveValue | primitiveValue | ) | `[inline]`

Primitive value of the constant element.

override string vmware::vapi::metadata::metamodel::ConstantValue::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ConstantValue.cs